<xml id="toolbox-categories" style="display: none">
    <category name="%{BKY_SS_TOOLBOX_TITLE_ACTION}" colour="%{BKY_SS_TOOLBOX_COLOR_ACTION}" id="action">
        <block type="ss_prim4_imageToText">
            <value name="PATH">
                <shadow type="text">
                    <field name="TEXT">path</field>
                </shadow>
            </value>
        </block>
        <block type="ss_prim4_imageToTextUrl">
            <value name="URL">
                <shadow type="text">
                    <field name="TEXT">url</field>
                </shadow>
            </value>
        </block>
    </category>
    <category name="%{BKY_SS_TOOLBOX_TITLE_OUTPUT}" colour="%{BKY_SS_TOOLBOX_COLOR_OUTPUT}" id="output">
        <block type="output_ss_print">
            <value name="LABEL">
                <shadow type="text">
                    <field name="TEXT">label</field>
                </shadow>
            </value>
        </block>
        <block type="output_ss_print_message">
            <value name="MESSAGE">
                <shadow type="text">
                    <field name="TEXT"></field>
                </shadow>
            </value>
        </block>
    </category>
    <category name="%{BKY_SS_TOOLBOX_TITLE_LOGIC}" colour="%{BKY_SS_TOOLBOX_COLOR_LOGIC}" id="logic">
        <block type="controls_if">
            <value name="IF0">
                <shadow type="logic_boolean"></shadow>
            </value>
        </block>
        <block type="controls_if">
            <mutation else="1"></mutation>
            <value name="IF0">
                <shadow type="logic_boolean"></shadow>
            </value>
        </block>
        <block type="logic_compare">
            <value name="A">
                <shadow type="math_number">
                    <field name="NUM">10</field>
                </shadow>
            </value>
            <value name="B">
                <shadow type="math_number">
                    <field name="NUM">10</field>
                </shadow>
            </value>
        </block>
        <block type="logic_compare">
            <value name="A">
                <shadow type="text">
                    <field name="TEXT">a</field>
                </shadow>
            </value>
            <value name="B">
                <shadow type="text">
                    <field name="TEXT">b</field>
                </shadow>
            </value>
        </block>
        <block type="logic_operation"></block>
        <block type="logic_negate"></block>
        <block type="logic_ss_compare_type_none"></block>
        <block type="logic_boolean"></block>
    </category>
    <category name="%{BKY_SS_TOOLBOX_TITLE_LOOPS}" colour="%{BKY_SS_TOOLBOX_COLOR_LOOPS}" id="loops">
        <block type="controls_repeat_ext">
            <value name="TIMES">
                <shadow type="math_number">
                    <field name="NUM">10</field>
                </shadow>
            </value>
        </block>
        <block type="controls_ss_while">
            <value name="BOOL">
                <shadow type="logic_boolean"></shadow>
            </value>
        </block>
        <block type="controls_ss_for_range">
            <value name="ITEM">
                <shadow type="variables_get_reporter">
                    <field name="VAR">item</field>
                </shadow>
            </value>
            <value name="RANGE">
                <shadow type="controls_ss_range">
                    <value name="FROM">
                        <shadow type="math_number">
                            <field name="NUM">0</field>
                        </shadow>
                    </value>
                    <value name="TO">
                        <shadow type="math_number">
                            <field name="NUM">10</field>
                        </shadow>
                    </value>
                </shadow>
            </value>
        </block>
        <block type="controls_ss_for_range">
            <value name="ITEM">
                <shadow type="variables_get_reporter">
                    <field name="VAR">item</field>
                </shadow>
            </value>
            <value name="RANGE">
                <shadow type="controls_ss_range_full">
                    <value name="FROM">
                        <shadow type="math_number">
                            <field name="NUM">0</field>
                        </shadow>
                    </value>
                    <value name="TO">
                        <shadow type="math_number">
                            <field name="NUM">10</field>
                        </shadow>
                    </value>
                    <value name="BY">
                        <shadow type="math_number">
                            <field name="NUM">1</field>
                        </shadow>
                    </value>
                </shadow>
            </value>
        </block>
        <block type="controls_forEach">
            <value name="VAR">
                <shadow type="variables_get_reporter">
                    <field name="VAR">item</field>
                </shadow>
            </value>
        </block>
        <block type="controls_flow_statements"></block>
    </category>
    <category name="%{BKY_SS_TOOLBOX_TITLE_MATH}" colour="%{BKY_SS_TOOLBOX_COLOR_MATH}" id="math">
        <block type="math_number" gap="32">
            <field name="NUM">123</field>
        </block>
        <block type="math_arithmetic">
            <value name="A">
                <shadow type="math_number">
                    <field name="NUM">1</field>
                </shadow>
            </value>
            <value name="B">
                <shadow type="math_number">
                    <field name="NUM">1</field>
                </shadow>
            </value>
        </block>
        <block type="math_single">
            <value name="NUM">
                <shadow type="math_number">
                    <field name="NUM">9</field>
                </shadow>
            </value>
        </block>
        <block type="math_random_int">
            <value name="FROM">
                <shadow type="math_number">
                    <field name="NUM">1</field>
                </shadow>
            </value>
            <value name="TO">
                <shadow type="math_number">
                    <field name="NUM">100</field>
                </shadow>
            </value>
        </block>
        <block type="math_random_float"></block>
        <block type="math_number_property">
            <value name="NUMBER_TO_CHECK">
                <shadow type="math_number">
                    <field name="NUM">10</field>
                </shadow>
            </value>
        </block>
    </category>
    <category name="%{BKY_SS_TOOLBOX_TITLE_TEXT}" colour="%{BKY_SS_TOOLBOX_COLOR_TEXTS}" id="texts">
        <block type="text"></block>
    </category>
    <category name="%{BKY_SS_TOOLBOX_TITLE_LISTS}" colour="%{BKY_SS_TOOLBOX_COLOR_LISTS}" id="lists">
        <block type="lists_create_with">
            <mutation items="0" type="math_number"></mutation>
        </block>
        <block type="lists_create_with">
            <mutation items="3" type="text"></mutation>
            <value name="ADD0">
                <shadow type="math_number">
                    <field name="NUM">1</field>
                </shadow>
            </value>
            <value name="ADD1">
                <shadow type="math_number">
                    <field name="NUM">2</field>
                </shadow>
            </value>
            <value name="ADD2">
                <shadow type="math_number">
                    <field name="NUM">3</field>
                </shadow>
            </value>
        </block>
        <block type="lists_create_with">
            <mutation items="2" type="text"></mutation>
            <value name="ADD0">
                <shadow type="text">
                    <field name="TEXT">Hello</field>
                </shadow>
            </value>
            <value name="ADD1">
                <shadow type="text">
                    <field name="TEXT">World</field>
                </shadow>
            </value>
        </block>
        <block type="lists_length"></block>
        <block type="lists_ss_getIndex">
            <value name="INDEX">
                <shadow type="math_number">
                    <field name="NUM">0</field>
                </shadow>
            </value>
        </block>
        <block type="lists_ss_setIndex">
            <value name="INDEX">
                <shadow type="math_number">
                    <field name="NUM">0</field>
                </shadow>
            </value>
        </block>
        <block type="lists_ss_append"></block>
    </category>
    <category name="%{BKY_SS_TOOLBOX_TITLE_VARIABLES}" colour="%{BKY_SS_TOOLBOX_COLOR_VARIABLES}" custom="VARIABLE" id="variables"></category>
    <category name="%{BKY_SS_TOOLBOX_TITLE_PROCEDURES}" colour="%{BKY_SS_TOOLBOX_COLOR_PROCEDURES}" custom="PROCEDURE" id="procedures"></category>
</xml>